Subject: bug#55521: ‘guix shell --export-manifest’ can yield incorrect results

From: Ludovic Courtès <[email-masked]>
Date: Sat, 21 May 2022 18:33:56 +0200

Hi Dominic,

Dominic Martinez <[email-masked]> skribis:

> I think this issue is sporadic, rather than fixed. I've had it happen
> and then fix itself, even with the same list of packages on the same
> Guix commit. For instance, I don't encounter the issue with the commit
> you were on:
>
> $ guix time-machine --commit=6b588da368c77cde82ea2f22ca315116228777ad
> -- shell --export-manifest texlive-base rubber
> ;; What follows is a "manifest" equivalent to the command line you
>    gave.
> ;; You can store it in a file that you may then pass to any 'guix'
>    command
> ;; that accepts a '--manifest' (or '-m') option.
>
> (specifications->manifest
>  (list "texlive-base" "rubber"))

Uh, weird.  I do encounter it like this:

--8<---------------cut here---------------start------------->8---
$  guix time-machine --commit=6b588da368c77cde82ea2f22ca315116228777ad -- shell --export-manifest texlive-base rubber
;; What follows is a "manifest" equivalent to the command line you gave.
;; You can store it in a file that you may then pass to any 'guix' command
;; that accepts a '--manifest' (or '-m') option.
(concatenate-manifests)
--8<---------------cut here---------------end--------------->8---

> Maybe we could keep this bug open?

Yes, done.  That’ll need some investigation…

Thanks for the heads-up!

Ludo’.